Show / Hide Table of Contents

# Interface IOpenIddictTokenStoreResolver

Exposes a method allowing to resolve a token store.

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictTokenStoreResolver

### Methods

#### Get<TToken>()

Returns a token store compatible with the specified token type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    IOpenIddictTokenStore<TToken> Get<TToken>()
        where TToken : class

##### Returns

Type | Description
--- | ---
IOpenIddictTokenStore<TToken> | An IOpenIddictTokenStore<TToken>.

##### Type Parameters

Name | Description
--- | ---
TToken | The type of the Token entity.